﻿<!--File name: _Layout.cshtml-->
<!--File Description: Controls the header and footer of the website so that they appear on all pages-->

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width" />
    <title>Career Day</title>

    <environment include="Development">
        <link rel="stylesheet" href="~/Content/Site.css" />
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="https://ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/css/bootstrap.min.css"
              asp-fallback-href="~/Content/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute" />
    </environment>
</head>

<!-- Navigation (header) bar -->
<body>
    <nav class="" id="navigation">
        <div style="width:100%" class="container">
				<a href="http://www.mines.edu/" target="_blank"><img class="logo-image" id="logo-image" src="~/images/Misc/Mines_EEE_reverse4C_R.png" /></a>
			<div class="navbar-inline">
				<button type="button" class="toggle-button" data-toggle="collapse" data-target="#navBar" href="javascript:void(0);" onclick="dropDown()">
					<span class="sr-only">Toggle navigation</span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
			</div>
            <div class="navbar-inline" id="navBar">
                <div class="nav navbar-nav">
                    <a href="~/Home/TipsAndTricks" class="navbar-tab">Tips</a>
                    @if (Request.Cookies["saved"] != null)
                    {
                        if (Request.Cookies["saved"].Values[0] != "")
                        {
                            <a href="~/Home/SavedCompanies" class="navbar-tab">Saved (@Request.Cookies["saved"].Values.Count)</a>
                        }
                        else
                        {
                            <a href="~/Home/SavedCompanies" class="navbar-tab">Saved (0)</a>
                        }
                    }
                    else
                    {
                        <a href="~/Home/SavedCompanies" class="navbar-tab">Saved (0)</a>
                    }
                    <a href="~/Home/BoothMap" class="navbar-tab">Maps</a>
                    <a href="~/Home/Companies" class="navbar-tab">Companies</a>
                    <a href="~/Home/Index" class="navbar-tab">Home</a>
                </div>
                <div class="nav nav-dropdown">
                    <a href="~/Home/Index" class="navbar-tab">Home</a>
                    <a href="~/Home/Companies" class="navbar-tab">Companies</a>
                    <a href="~/Home/BoothMap" class="navbar-tab">Maps</a>
                    @if (Request.Cookies["saved"] != null)
                    {
                        if (Request.Cookies["saved"].Values[0] != "")
                        {
                            <a href="~/Home/SavedCompanies" class="navbar-tab">Saved (@Request.Cookies["saved"].Values.Count)</a>
                        }
                        else
                        {
                            <a href="~/Home/SavedCompanies" class="navbar-tab">Saved (0)</a>
                        }
                    }
                    else
                    {
                        <a href="~/Home/SavedCompanies" class="navbar-tab">Saved (0)</a>
                    }
                    <a href="~/Home/TipsAndTricks" class="navbar-tab">Tips</a>
                </div>
            </div>
        </div>
    </nav>

	<!--Cookies disclaimer-->
    @if (Session["disclaimer"] == null)
    {
        <nav class="navbar-fixed-bottom">
            <div class="center">
                <p style="color: white; text-align:center; display: inline">
                    This site uses cookies to implement our saving features. <a href="~/Home/Cookies" style="color: white; text-decoration: underline;">Learn more about our cookies.</a>
                </p>
                <img src="~/images/Misc/close_icon.png" onclick="location.reload(true)" style="float: right; display: inline; margin: 5px" />
            </div>
        </nav>
        Session["disclaimer"] = false;
    }

    <!--Footer-->
    <div style="background-color: #92A2BD; height: auto">
        <div style="height:100%;" class="body-content">
            <div style="clear: both;"></div>
            @RenderBody()
            <footer class="footer-style">
                <div class="footer-layer">
					<div class="row">
						<div class="orange-bar" style="height: 1%">
						</div>
						<div class="col-sm-3" style="padding-top: 1%">
							<p>
								Colorado School of Mines
								<br />
								1500 Illinois St., Golden, CO 80401
								<br />
								<strong>303-273-3000 / 800-446-9488</strong>
							</p>
							<p>
								Admissions &amp; Financial Aid<br>
								<a class="footer-link" href="https://finaid.mines.edu" target="_blank">Financial Aid</a><br>
								<a class="footer-link" href="https://www.mines.edu/graduate-admissions/" target="_blank">Graduate Admissions</a><br>
								<a class="footer-link" href="https://www.mines.edu/undergraduate-admissions/" target="_blank">Undergraduate Admissions</a><br>
								<strong>888-446-9489</strong>
							</p>
						</div>
						<div class="col-sm-3">
							<p>
								<div class=footer-headings>Resources</div>
								<br />
								<a class="footer-link" href="http://giving.mines.edu/" target="_blank">Alumni and Friends</a><br>
								<a class="footer-link" href="http://www.mines.edu/parents/" target="_blank">Parents</a><br>
								<a class="footer-link" href="https://calendar.mines.edu/" target="_blank">Calendar</a><br>
								<a class="footer-link" href="https://www.mines.edu/jobs/" target="_blank">Careers at Mines</a><br>
								<a class="footer-link" href="http://gsg.mines.edu/" target="_blank">Graduate Student Government</a><br>
								<a class="footer-link" href="http://careers.mines.edu/" target="_blank">Hire Our Students</a><br>
								<a class="footer-link" href="http://magazine.mines.edu/" target="_blank">Mines Magazine</a><br>
								<a class="footer-link" href="http://www.minesnewsroom.com/news-golden-neighbors" target="_blank">Neighbors</a><br>
								<a class="footer-link" href="http://mines.edu/news/" target="_blank">News</a><br>
								<a class="footer-link" href="http://mines.edu/usg/" target="_blank">Undergraduate Student Government</a>
							</p>
						</div>
						<div class="col-sm-3">
							<p>
								<div class="footer-headings">Visit Mines</div><br />
								<a class="footer-link a:hover" href="https://library.mines.edu/" target="_blank">Arthur Lakes Library</a><br>
								<a class="footer-link" href="http://minesathletics.com/" target="_blank">Athletics</a><br>
								<a class="footer-link" href="http://mines.bncollege.com/" target="_blank">Bookstore</a><br>
								<a class="footer-link" href="https://tour.mines.edu/" target="_blank">Campus Tour</a><br>
								<a class="footer-link" href="http://campusevents.mines.edu/" target="_blank">Conference and Event Planning</a><br>
								<a class="footer-link" href="http://www.mines.edu/geology-museum/" target="_blank">Geology Museum</a><br>
								<a class="footer-link" href="http://tour.mines.edu/map/" target="_blank">Map and Directions</a>
							</p>
						</div>
						<div class="col-sm-3">
							<p>
								<div class="footer-headings">Privacy</div><br />
								<a class="footer-link" href="https://www.mines.edu/privacy/" target="_blank">Privacy Policy</a><br />
								<a class="footer-link" href="~/Home/Cookies">Cookies Policy</a>
							</p>
						</div>
					</div>
                    <p>&copy; 2018 - CareerDayApp</p>
                </div>
            </footer>
        </div>
    </div>

    <environment include="Development">
        
    </environment>
    <environment exclude="Development">
        <script src="https://ajax.aspnetcdn.com/ajax/jquery/jquery-2.2.0.min.js"
                asp-fallback-src="~/Scripts/jquery-3.3.1.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha384-K+ctZQ+LL8q6tP7I94W+qzQsfRV2a+AfHIi9k8z8l9ggpc8X+Ytst4yBo/hH+8Fk">
        </script>
        <script>
            /**
             * Summary. Function to display or hide the dropdown menu on the navbar when the collapse button is clicked.
             *
             * return {void}
             */
            function dropDown() {
                var x = document.getElementById("navigation");
                if (x.className === "") {
                    x.className += "drop";
                } else {
                    x.className = "";
                }
            }
        </script>
        <script src="https://ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/bootstrap.min.js"
                asp-fallback-src="~/Scripts/bootstrap.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa">
        </script>
    </environment>

    @RenderSection("Scripts", required: false)
</body>
</html>